<template>
    <div class="overall-progress">
      <div class="header">
        <h2>Overall Progress</h2>
        <select>
          <option>All</option>
        </select>
      </div>
  
      <div class="gauge">
        <div class="percentage">{{ progressPercentage }}%</div>
        <div class="label">Completed</div>
      </div>
  
      <div class="stats">
        <div>
          <strong>{{ totalProjects }}</strong>
          <span>Total projects</span>
        </div>
        <div>
          <strong>{{ completedProjects }}</strong>
          <span>Completed</span>
        </div>
        <div>
          <strong>{{ delayedProjects }}</strong>
          <span>Delayed</span>
        </div>
        <div>
          <strong>{{ ongoingProjects }}</strong>
          <span>On going</span>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'OverallProgress',
    data() {
      return {
        progressPercentage: 72,
        totalProjects: 95,
        completedProjects: 26,
        delayedProjects: 35,
        ongoingProjects: 35
      }
    }
  }
  </script>
  
  <style scoped>
  .overall-progress {
    padding: 1rem;
    background-color: #fff;
    border-radius: 10px;
  }
  
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
  }
  
  .gauge {
    position: relative;
    width: 100%;
    height: 200px;  
    text-align: center;
  }
  
  .percentage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2rem;
    font-weight: bold;
  }
  
  .label {
    position: absolute;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
  }
  
  .stats {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
  }
  
  .stats > div {
    text-align: center;
  }
  </style>
  